Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class DLATZM

    java.lang.Object
      org.netlib.lapack.DLATZM

    public class DLATZM

extends java.lang.Object

    DLATZM is a simplified interface to the JLAPACK routine dlatzm.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  This routine is deprecated and has been replaced by routine DORMRZ.
     *
     *  DLATZM applies a Householder matrix generated by DTZRQF to a matrix.

     *
     *  Let P = I - tau*u*u',   u = ( 1 ),
     *                              ( v )
     *  where v is an (m-1) vector if SIDE = 'L', or a (n-1) vector if
     *  SIDE = 'R'.
     *
     *  If SIDE equals 'L', let
     *         C = [ C1 ] 1
     *             [ C2 ] m-1
     *               n
     *  Then C is overwritten by P*C.
     *
     *  If SIDE equals 'R', let
     *         C = [ C1, C2 ] m
     *                1  n-1
     *  Then C is overwritten by C*P.
     *
     *  Arguments
     *  =========
     *
     *  SIDE    (input) CHARACTER*1
     *          = 'L': form P * C
     *          = 'R': form C * P
     *
     *  M       (input) INTEGER
     *          The number of rows of the matrix C.
     *
     *  N       (input) INTEGER
     *          The number of columns of the matrix C.
     *
     *  V       (input) DOUBLE PRECISION array, dimension
     *                  (1 + (M-1)*abs(INCV)) if SIDE = 'L'
     *                  (1 + (N-1)*abs(INCV)) if SIDE = 'R'
     *          The vector v in the representation of P. V is not used
     *          if TAU = 0.
     *
     *  INCV    (input) INTEGER
     *          The increment between elements of v. INCV <> 0
     *
     *  TAU     (input) DOUBLE PRECISION
     *          The value tau in the representation of P.
     *
     *  C1      (input/output) DOUBLE PRECISION array, dimension
     *                         (LDC,N) if SIDE = 'L'
     *                         (M,1)   if SIDE = 'R'
     *          On entry, the n-vector C1 if SIDE = 'L', or the m-vector C1
     *          if SIDE = 'R'.
     *
     *          On exit, the first row of P*C if SIDE = 'L', or the first
     *          column of C*P if SIDE = 'R'.
     *
     *  C2      (input/output) DOUBLE PRECISION array, dimension
     *                         (LDC, N)   if SIDE = 'L'
     *                         (LDC, N-1) if SIDE = 'R'
     *          On entry, the (m - 1) x n matrix C2 if SIDE = 'L', or the
     *          m x (n - 1) matrix C2 if SIDE = 'R'.
     *
     *          On exit, rows 2:m of P*C if SIDE = 'L', or columns 2:m of C*P
     *          if SIDE = 'R'.
     *
     *  LDC     (input) INTEGER
     *          The leading dimension of the arrays C1 and C2. LDC >= (1,M).

     *
     *  WORK    (workspace) DOUBLE PRECISION array, dimension
     *                      (N) if SIDE = 'L'
     *                      (M) if SIDE = 'R'
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`DLATZM()`

Method Summary
`static void` | `DLATZM(java.lang.String side, int m, int n, double[] v, int incv, double tau, double[][] c1, double[][] c2, double[] work)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DLATZM

    public DLATZM()

Method Detail

### DLATZM

    public static void DLATZM(java.lang.String side,
                              int m,
                              int n,
                              double[] v,
                              int incv,
                              double tau,
                              double[][] c1,
                              double[][] c2,
                              double[] work)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD